#include "MinecraftClient.h"

namespace Feather
{
    MinecraftClient::MinecraftClient(Network::TCPClientHandle&& client)
        : m_client(std::move(client))
    {
    }

    MinecraftClient::~MinecraftClient()
    {
    }

    void MinecraftClient::SendMessage(const NetworkMessage& message)
    {
        m_client->Write(message.GetData(), message.GetDataSize());
    }
}
